Name:           sigrok-firmware
Version:        0.1.0
%global         checkout 20130426git83e0802
Release:        5.%{checkout}%{?dist}
Summary:        Firmware for some hardware supported by sigrok
License:        GPLv2 and Redistributable, no modification permitted
URL:            http://www.sigrok.org/
# $ git clone git://sigrok.org/sigrok-firmware
# $ cd sigrok-firmware
# $ git checkout 83e0802146c2c6c211dc68fe18c6d556f04469b7
# $ sh autogen.sh
# $ mkdir build
# $ cd build
# $ ../configure
# $ make dist
# $ mv %%{name}-%%{version}.tar.gz %%{name}-%%{version}-%%{checkout}.tar.gz
Source0:        %{name}-%{version}-%{checkout}.tar.gz
# OsciPrime firmware sources (not included in the git repo)
Source1:        http://www.osciprime.com/repo/fx2-firmware.tar.gz
Source2:        http://www.osciprime.com/repo/oscione-vhdl.tar.gz
BuildArch:      noarch

%description
%{name} is a collection of firmware files required for some of the
devices libsigrok supports (logic analyzers, oscilloscopes, or others).

%{name} only contains firmware files which have an explicit
permission/license that allows at _least_ redistribution of the firmware.

%package        free
Summary:        Components of %{name} with with free licenses
License:        GPLv2
Requires:       %{name}-filesystem = %{version}-%{release}

%description    free
The %{name}-free package contains firmwares which are available under
free licenses, but are distributed as a binary only because they cannot be
easily built with free software tools.

%package        nonfree
Summary:        Components of %{name} with non-free licenses
License:        Redistributable, no modification permitted
Requires:       %{name}-filesystem = %{version}-%{release}

%description    nonfree
The %{name}-nonfree package contains firmwares available under non-free
licenses which permit redistribution.

%package        filesystem
Summary:        Directory structure for %{name}

%description    filesystem
This package provides directories required by packages containing sigrok
binary firmware.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
cp nexus-osciprime/COPYING nexus-osciprime/COPYING.osciprime

%install
%make_install

%files filesystem
%doc README NEWS COPYING
%dir %{_datadir}/%{name}

%files free
%doc nexus-osciprime/COPYING.osciprime
%{_datadir}/%{name}/nexus-osciprime.fw

%files nonfree
%doc asix-sigma/LICENSE.Sigma
%{_datadir}/%{name}/asix-sigma-*.fw

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5.20130426git83e0802
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4.20130426git83e0802
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 06 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.0-3.20130426git83e0802
- Cap remaining description lines at 80 characters
- Version the dependency on sigrok-firmware-filesystem

* Mon May 06 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.0-2.20130426git83e0802
- Don't use macros in comments
- Cap description lines at 80 characters
- Use proper license descriptors.
- Add OsciPrime sources in the SRPM

* Sun May 05 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.0-1
- Initial RPM release